TESTING/EIG/zlctes.f(3)

NAME
TESTING/EIG/zlctes.f

SYNOPSIS

  Functions/Subroutines
logical function zlctes (z, d)
ZLCTES

Function/Subroutine Documentation

  logical function zlctes (complex*16 z, complex*16 d)

ZLCTES

Purpose:

     ZLCTES returns .TRUE. if the eigenvalue Z/D is to be selected
     (specifically, in this subroutine, if the real part of the
     eigenvalue is negative), and otherwise it returns .FALSE..
     It is used by the test routine ZDRGES to test whether the driver
     routine ZGGES successfully sorts eigenvalues.

Parameters
    Z

              Z is COMPLEX*16
              The numerator part of a complex eigenvalue Z/D.

    D

              D is COMPLEX*16
              The denominator part of a complex eigenvalue Z/D.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 57 of file zlctes.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.